chan_sip: Do not increment the SDP version between 183 and 200 responses.
authorMark Michelson <mmichelson@digium.com>
Mon, 14 Oct 2013 22:03:22 +0000 (22:03 +0000)
committerMark Michelson <mmichelson@digium.com>
Mon, 14 Oct 2013 22:03:22 +0000 (22:03 +0000)
commit47e910bfe69796faf75a57f5c0f560be64a6f487
tree0238fc24d007be15aefa19f377251c60d4172a6d
parent61b60fab2dcd535572299816f03521f10a3a24e6
chan_sip: Do not increment the SDP version between 183 and 200 responses.

Bumping the SDP version number can cause interoperability problems
since receivers of the responses will expect that a 200 SDP will
be identical to a previous 183 SDP.

(closes issue ASTERISK-21204)
reported by NITESH BANSAL

Patches:
dont-increment-session-version-in-2xx-after-183.patch uploaded by NITESH BANSAL (License #6418)
........

Merged revisions 400906 from http://svn.asterisk.org/svn/asterisk/branches/1.8
........

Merged revisions 400908 from http://svn.asterisk.org/svn/asterisk/branches/11
........

Merged revisions 400910 from http://svn.asterisk.org/svn/asterisk/branches/12

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@400912 65c4cc65-6c06-0410-ace0-fbb531ad65f3
channels/chan_sip.c